aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/scripts/lib_template.sh
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2019-05-08 22:17:23 +0200
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2019-05-08 23:36:45 +0000
commit6d37926e32dcd89ef999cedf9adcb13cbf717964 (patch)
tree4109bb3ab19ccd2d9aca901605daa5a19935a019 /mcp/scripts/lib_template.sh
parentbb38e087e70dd00575e441e375b1be2a41d4c657 (diff)
[fdio] Bump compute RAM defaults for virtual PODs
Hugepage count has been recently bumped for virtual PODs via IDF changes in Pharos, so align our FDio scenarios with the new RAM requirements. While at it, fix wrong pod_config template evaluation by moving it after the templated scenario files are expanded, since pod_config relies on scenario node definition. Also, configure VPP to use decimal interface names by default to align with Pharos macro for the VPP interface name string. Change-Id: Ib3a89c294a3a2755567fdbe07e3be2b8ca1a5714 Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com> (cherry picked from commit b381277ae274473ae4e05a1aa9dd171dbab461d6)
Diffstat (limited to 'mcp/scripts/lib_template.sh')
-rw-r--r--mcp/scripts/lib_template.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/mcp/scripts/lib_template.sh b/mcp/scripts/lib_template.sh
index b44702235..bec8e159e 100644
--- a/mcp/scripts/lib_template.sh
+++ b/mcp/scripts/lib_template.sh
@@ -47,11 +47,6 @@ function do_templates_scenario {
notify_e "[ERROR] IDF does not match yaml schema!"
fi
fi
- if ! "${PHAROS_GEN_CFG}" -y "${LOCAL_PDF}" \
- -i "$(dirname "$(readlink -f "${PHAROS_IA}")")" \
- -j "${PHAROS_IA}" -v > "${image_dir}/pod_config.yml"; then
- notify_e "[ERROR] Could not convert PDF+IDF to reclass model input!"
- fi
printenv | \
awk '/^(SALT|MCP|MAAS).*=/ { gsub(/=/,": "); print }' >> "${LOCAL_PDF}"
j2args=$(find "${scenario_dir}" -name '*.j2' -exec echo -j {} \;)
@@ -63,6 +58,11 @@ function do_templates_scenario {
for _yaml in "${extra_yaml[@]}"; do
awk '/^---$/{f=1;next;}f' "${_yaml}" >> "${LOCAL_PDF}"
done
+ if ! "${PHAROS_GEN_CFG}" -y "${LOCAL_PDF}" \
+ -i "$(dirname "$(readlink -f "${PHAROS_IA}")")" \
+ -j "${PHAROS_IA}" -v > "${image_dir}/pod_config.yml"; then
+ notify_e "[ERROR] Could not convert PDF+IDF to reclass model input!"
+ fi
}
# Expand reclass and virsh network templates based on PDF + IDF + others